package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterTenantRoutes(api fiber.Router, f *facade.Facade) {

	tenant := api.Group("/v1/web/tenants")

	tenant.Get("/search", f.TenantController.SearchTenant)
	tenant.Get("/searchbykeyword", f.TenantController.GetTenantByKeyword)
	tenant.Get("/getalltenants", f.TenantController.GetAllTenants)
	tenant.Get("/gettenantlocations", f.TenantController.GetTenantLocations)
	tenant.Post("/createtenantcustomer", f.TenantController.CreateTenantCustomer)
	tenant.Put("/updatelocation", f.TenantController.UpdateLocation)
	tenant.Post("/createlocation", f.TenantController.CreateLocation)
	tenant.Delete("/deletelocation", f.TenantController.DeleteLocation)
	tenant.Post("/createtenantlocation", f.TenantController.CreateTenantLocation)
	tenant.Put("/updatetenantlocation", f.TenantController.UpdateTenantLocation)
	tenant.Post("/createtenantuser", f.TenantController.CreateTenantUser)

	tenant = api.Group("/v1/mob/tenants")

	tenant.Get("/gettenantslot", f.TenantController.GetTenantSlot)
	tenant.Get("/searchbykeyword", f.TenantController.GetTenantByKeyword)
	tenant.Post("/createtenantcustomer", f.TenantController.CreateTenantCustomer)
	tenant.Get("/getcustomertenants", f.TenantController.GetCustomerTenants)
	tenant.Get("/gettenantlocations", f.TenantController.GetTenantLocations)
	tenant.Get("/gettenantpricing", f.TenantController.GetTenantPricing)
	tenant.Put("/updatelocation", f.TenantController.UpdateLocation)
	tenant.Post("/createlocation", f.TenantController.CreateLocation)
	tenant.Get("/getstaffs", f.TenantController.GetStaffs)
	tenant.Post("/createstaff", f.TenantController.CreateStaff)
	tenant.Post("/createtenantuser", f.TenantController.CreateTenantUser)
	tenant.Get("/gettenantinfo", f.TenantController.GetTenantInfo)

}
